Datasets - Bind To Gateway
Associa il modello semantico specificato al gateway specificato, facoltativamente con un determinato set di ID origine dati. Il modello semantico può risiedere nell'area di lavoro personale o in un'altra area di lavoro, purché il chiamante disponga delle autorizzazioni necessarie. Se non si specifica un ID origine dati specifico, il modello semantico verrà associato alla prima origine dati corrispondente nel gateway.
Importante
Aggiungere l'entità chiamante API come utente dell'origine dati nel gateway.
Ambito obbligatorio
Dataset.ReadWrite.All
Limitazioni
Supporta solo il gateway dati locale
POST https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/Default.BindToGateway
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
ID set di dati |
Corpo della richiesta
| Nome | Necessario | Tipo | Descrizione |
|---|---|---|---|
| gatewayObjectId | True |
string (uuid) |
ID gateway. Quando si usa un cluster gateway, l'ID gateway fa riferimento al gateway primario (primo) nel cluster ed è simile all'ID cluster del gateway. |
| datasourceObjectIds |
string[] (uuid) |
Identificatori univoci per le origini dati nel gateway |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Va bene |
Esempio
|
Example with 'datasource |
|
Example without 'datasource |
Example with 'datasourceObjectIds'
Esempio di richiesta
POST https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/Default.BindToGateway
{
"gatewayObjectId": "1f69e798-5852-4fdd-ab01-33bb14b6e934",
"datasourceObjectIds": [
"dc2f2dac-e5e2-4c37-af76-2a0bc10f16cb",
"3bfe5d33-ab7d-4d24-b0b5-e2bb8eb01cf5"
]
}
Risposta di esempio
Example without 'datasourceObjectIds'
Esempio di richiesta
POST https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/Default.BindToGateway
{
"gatewayObjectId": "1f69e798-5852-4fdd-ab01-33bb14b6e934"
}
Risposta di esempio
Definizioni
BindToGatewayRequest
Set di dati di associazione alla richiesta del gateway
| Nome | Tipo | Descrizione |
|---|---|---|
| datasourceObjectIds |
string[] (uuid) |
Identificatori univoci per le origini dati nel gateway |
| gatewayObjectId |
string (uuid) |
ID gateway. Quando si usa un cluster gateway, l'ID gateway fa riferimento al gateway primario (primo) nel cluster ed è simile all'ID cluster del gateway. |